Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Severe: Failed to add template #703

Closed
mvrozanti opened this issue Sep 20, 2018 · 4 comments
Closed

Severe: Failed to add template #703

mvrozanti opened this issue Sep 20, 2018 · 4 comments

Comments

@mvrozanti
Copy link

@mvrozanti mvrozanti commented Sep 20, 2018

Following the simple instructions in README in Netlify I was able to get hugo-academic theme running, but I can't seem to get it working with github.io pages alone.

git clone https://github.com/sourcethemes/academic-kickstart.git mvrozanti.github.io
cd mvrozanti.github.io
git submodule update --init --recursive
hugo server

Leads me to:

ERROR 2018/09/20 15:13:09 Failed to add template "partials/widgets/about.html" in path "partials/widgets/about.html": template: partials/widgets/about.html:46: unexpected "=" in operand
ERROR 2018/09/20 15:13:09 partials/widgets/about.html : template: partials/widgets/about.html:46: unexpected "=" in operand
Building sites … ERROR 2018/09/20 15:13:09 Error while rendering "home" in "": template: index.html:4:3: executing "index.html" at <partial "widget_page...>: error calling partial: template: partials/widget_page.html:23:9: executing "partials/widget_page.html" at <partial $widget $par...>: error calling partial: template: "partials/widgets/about.html" is an incomplete or empty template
Total in 20 ms
Error: Error building site: logged 3 error(s)

Hugo version:

 $ hugo version
Hugo Static Site Generator v0.48/extended linux/amd64 BuildDate: 2018-09-02T19:31:50+0200

Am I missing some config?

EDIT: upon accessing the github.io page after pushing, I get hugo-academic's README.md.

@gcushen

This comment has been minimized.

Copy link
Owner

@gcushen gcushen commented Sep 20, 2018

The Hugo in Linux package managers is broken. Please get Hugo from the official Hugo releases page on Github.

@gcushen gcushen closed this Sep 20, 2018
@mvrozanti

This comment has been minimized.

Copy link
Author

@mvrozanti mvrozanti commented Sep 20, 2018

Many thanks! It worked. How did you know the package was broken?

@gcushen

This comment has been minimized.

Copy link
Owner

@gcushen gcushen commented Sep 20, 2018

There have been quite a few other reports on here similar to yours from other Linux users. They discovered that the Hugo in Linux package repositories was not compiled against the correct version of Hugo's dependencies, hence it gives weird behaviour. The official Hugo download on Github unaffected :)

@lkreimann

This comment has been minimized.

Copy link

@lkreimann lkreimann commented Oct 30, 2019

Woa... I struggled with building my Hugo app on Linux for quite some time and couldn't find a solution. Thanks for the hint!

For anyone who can install Snap packages on their Linux distro: That definitely works. The Hugo package you can install via from apt-get definitely doesn't work and is stuck on version 0.40.x.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.